Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm
[Java] Class MethodCaller

    java.lang.Object
      org.codehaus.groovy.classgen.asm.MethodCaller

All Implemented Interfaces:
  org.objectweb.asm.Opcodes

    public class MethodCaller
    extends java.lang.Object

A helper class to invoke methods more easily in ASM

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`MethodCaller(int opcode, java.lang.Class theClass, java.lang.String name)`

Method Summary
`void` | `call(org.objectweb.asm.MethodVisitor methodVisitor)`
`protected java.lang.reflect.Method` | `getMethod()`
`java.lang.String` | `getMethodDescriptor()`
`static MethodCaller` | `newInterface(java.lang.Class theClass, java.lang.String name)`
`static MethodCaller` | `newStatic(java.lang.Class theClass, java.lang.String name)`
`static MethodCaller` | `newVirtual(java.lang.Class theClass, java.lang.String name)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### MethodCaller

    public MethodCaller(int opcode, java.lang.Class theClass, java.lang.String name)

Method Detail

### call

    public void call(org.objectweb.asm.MethodVisitor methodVisitor)

### getMethod

    protected java.lang.reflect.Method getMethod()

### getMethodDescriptor

    public java.lang.String getMethodDescriptor()

### newInterface

    public static MethodCaller newInterface(java.lang.Class theClass, java.lang.String name)

### newStatic

    public static MethodCaller newStatic(java.lang.Class theClass, java.lang.String name)

### newVirtual

    public static MethodCaller newVirtual(java.lang.Class theClass, java.lang.String name)

Groovy Documentation